Index: Prototype Application/Paw5/src/main/java/finki/paw5/repository/PetRepository.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/repository/PetRepository.java	(revision af3f18f33fde0391b554e25476554df0ded3ec2a)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/repository/PetRepository.java	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
@@ -1,4 +1,8 @@
 package finki.paw5.repository;
 
+import org.springframework.stereotype.Repository;
+
+@Repository
+public interface PetRepository {
 import finki.paw5.model.entities.Pet;
 import org.springframework.data.jpa.repository.JpaRepository;
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/PetService.java	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
@@ -0,0 +1,4 @@
+package finki.paw5.service;
+
+public interface PetService {
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/service/implementation/PetServiceImplementation.java	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
@@ -0,0 +1,8 @@
+package finki.paw5.service.implementation;
+
+import finki.paw5.service.PetService;
+import org.springframework.stereotype.Service;
+
+@Service
+public class PetServiceImplementation implements PetService {
+}
Index: Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java
===================================================================
--- Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
+++ Prototype Application/Paw5/src/main/java/finki/paw5/web/controllers/PetController.java	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
@@ -0,0 +1,15 @@
+package finki.paw5.web.controllers;
+
+import finki.paw5.service.PetService;
+import org.springframework.stereotype.Controller;
+
+@Controller
+public class PetController {
+
+    private final PetService petService;
+
+    public PetController(PetService petService) {
+        this.petService = petService;
+    }
+
+}
Index: Prototype Application/Paw5/src/main/resources/templates/listpostsadoption.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/listpostsadoption.html	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
+++ Prototype Application/Paw5/src/main/resources/templates/listpostsadoption.html	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
@@ -0,0 +1,10 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+</head>
+<body>
+
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/listpostsfoster.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/listpostsfoster.html	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
+++ Prototype Application/Paw5/src/main/resources/templates/listpostsfoster.html	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
@@ -0,0 +1,10 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+</head>
+<body>
+
+</body>
+</html>
Index: Prototype Application/Paw5/src/main/resources/templates/petdetails.html
===================================================================
--- Prototype Application/Paw5/src/main/resources/templates/petdetails.html	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
+++ Prototype Application/Paw5/src/main/resources/templates/petdetails.html	(revision 4d7860363600a1acb9a315cbcb31ce45ae5a20a0)
@@ -0,0 +1,10 @@
+<!DOCTYPE html>
+<html lang="en">
+<head>
+    <meta charset="UTF-8">
+    <title>Title</title>
+</head>
+<body>
+
+</body>
+</html>
